Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class RenderExtendedVisitContext

    java.lang.Object
      javax.faces.component.visit.VisitContext
          org.richfaces.context.ExtendedVisitContext
              org.richfaces.context.BaseExtendedVisitContext
                  org.richfaces.context.RenderExtendedVisitContext

    public class RenderExtendedVisitContext

extends BaseExtendedVisitContext

Author:
  Nick Belaevski

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.context.BaseExtendedVisitContext
`BaseExtendedVisitContext.ClientIdVisitor`

Field Summary

Fields inherited from class org.richfaces.context.BaseExtendedVisitContext
`addNodeVisitor, removeNodeVisitor`

Fields inherited from class org.richfaces.context.ExtendedVisitContext
`META_COMPONENT_ID`

Fields inherited from class javax.faces.component.visit.VisitContext
`ALL_IDS`

Constructor Summary
`RenderExtendedVisitContext(javax.faces.context.FacesContext facesContext, Collection<String> clientIds, Set<javax.faces.component.visit.VisitHint> hints, boolean limitRender)`

Method Summary
`protected void` | `addDirectSubtreeIdsToVisitForImplicitComponents(javax.faces.component.UIComponent component, Set<String> result)`
`protected boolean` | `hasImplicitSubtreeIdsToVisit(javax.faces.component.UIComponent component)`
`protected javax.faces.component.visit.VisitResult` | `invokeVisitCallbackForImplicitComponent(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitCallback callback)`
`static boolean` | `isRenderExtendedVisitContext(javax.faces.component.visit.VisitContext visitContext)` Determine if the VisitContext is, or wraps, the RenderExtendedVisitContext
`protected boolean` | `shouldCompleteOnEmptyIds()`

Methods inherited from class org.richfaces.context.BaseExtendedVisitContext
`createNamingContainerVisitContext, getDirectSubtreeIdsToVisit, getHints, getIdsToVisit, getSubtreeIdsToVisit, invokeVisitCallback, visitClientId`

Methods inherited from class org.richfaces.context.ExtendedVisitContext
`buildExtendedClientId, buildExtendedComponentId, getFacesContext, getVisitMode, invokeMetaComponentVisitCallback`

Methods inherited from class javax.faces.component.visit.VisitContext
`createVisitContext, createVisitContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderExtendedVisitContext

    public RenderExtendedVisitContext(javax.faces.context.FacesContext facesContext,
                                      Collection<String> clientIds,
                                      Set<javax.faces.component.visit.VisitHint> hints,
                                      boolean limitRender)

Method Detail

### hasImplicitSubtreeIdsToVisit

    protected boolean hasImplicitSubtreeIdsToVisit(javax.faces.component.UIComponent component)

  Overrides:
    `hasImplicitSubtreeIdsToVisit` in class `BaseExtendedVisitContext`

### addDirectSubtreeIdsToVisitForImplicitComponents

    protected void addDirectSubtreeIdsToVisitForImplicitComponents(javax.faces.component.UIComponent component,
                                                                   Set<String> result)

  Overrides:
    `addDirectSubtreeIdsToVisitForImplicitComponents` in class `BaseExtendedVisitContext`

### invokeVisitCallbackForImplicitComponent

    protected javax.faces.component.visit.VisitResult invokeVisitCallbackForImplicitComponent(javax.faces.component.UIComponent component,
                                                                                              javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `invokeVisitCallbackForImplicitComponent` in class `BaseExtendedVisitContext`

### shouldCompleteOnEmptyIds

    protected boolean shouldCompleteOnEmptyIds()

  Overrides:
    `shouldCompleteOnEmptyIds` in class `BaseExtendedVisitContext`

### isRenderExtendedVisitContext

    public static boolean isRenderExtendedVisitContext(javax.faces.component.visit.VisitContext visitContext)

  Determine if the VisitContext is, or wraps, the RenderExtendedVisitContext

  Parameters:
    `visitContext` - The VisitContext of the component tree visit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.